This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 518007 - new printer - delayed bubble
new printer - delayed bubble
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516998 fitandfinish
  Show dependency treegraph
 
Reported: 2009-08-18 08:55 EDT by Matthias Clasen
Modified: 2009-10-08 23:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.13-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 23:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-08-18 08:55:40 EDT
When I plug in a new USB printer, I first see the 'printer with a loupe' icon in the notification area. It stays there for long enough for me to bring up the tooltip and start wondering (ie some 10 seconds or so) before it gets turned into a regular printer icon and shows the bubble 'new printer available'). 

It would be better to avoid the icon change, and only show an icon when the printer is actually ready. Or, show a separate 'configuring printer' icon, but I think that is be unnecessary.
Comment 1 Tim Waugh 2009-08-18 09:20:53 EDT
The delay is unavoidable because of foomatic taking ages to report available drivers.

The tooltip just describes how many jobs there are queued when the 'examining' icon is shown -- instead that should be "Configuring new printer" or something.

So:

1. The tooltip needs fixing, and
2. We need a better 'configuring printer' icon to show in the mean time
Comment 2 Tim Waugh 2009-08-19 11:58:58 EDT
Problem 1 has been fixed upstream.
Comment 3 Tim Waugh 2009-08-19 12:08:41 EDT
Icon request submitted:
  https://fedorahosted.org/design-team/ticket/68
Comment 4 Fedora Update System 2009-08-27 18:53:13 EDT
system-config-printer-1.1.12-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 5 Fedora Update System 2009-08-31 19:34:46 EDT
system-config-printer-1.1.12-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 6 Fedora Update System 2009-09-06 16:46:02 EDT
system-config-printer-1.1.12-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 7 Fedora Update System 2009-09-15 03:49:16 EDT
system-config-printer-1.1.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 8 Fedora Update System 2009-09-24 01:08:18 EDT
system-config-printer-1.1.13-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 9 Fedora Update System 2009-10-03 15:10:01 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8108
Comment 10 Fedora Update System 2009-10-08 23:32:17 EDT
system-config-printer-1.1.13-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.